> **Warning**
>
> ## THIS IS AN AUTOGENERATED FILE. DO NOT EDIT.
>
> ## Please edit the corresponding file in [/packages/mermaid/src/docs/config/setup/config/functions/updateCurrentConfig.md](../../../../../packages/mermaid/src/docs/config/setup/config/functions/updateCurrentConfig.md).

[**mermaid**](../../README.md)

---

# Function: updateCurrentConfig()

> **updateCurrentConfig**(`siteCfg`, `_directives`): [`MermaidConfig`](../../mermaid/interfaces/MermaidConfig.md)

Defined in: [packages/mermaid/src/config.ts:15](https://github.com/mermaid-js/mermaid/blob/master/packages/mermaid/src/config.ts#L15)

## Parameters

### siteCfg

[`MermaidConfig`](../../mermaid/interfaces/MermaidConfig.md)

### \_directives

[`MermaidConfig`](../../mermaid/interfaces/MermaidConfig.md)\[]

## Returns

[`MermaidConfig`](../../mermaid/interfaces/MermaidConfig.md)
